
Foreman - Bug #17851

Hostgroup has a location locked and set in the UI but unset in the database

12/27/2016 04:58 AM - Daniel Lobato Garcia

Status: New   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link: 1228365 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1228365

Description of problem:

A had a host IBM_A with a hostgroup CENTOS. This hostgroup had its location set to "Default Location". When I wanted to edit the

hostgroup and change the location, it wasn't possible - it was locked because there was a host that had the hostgroup assigned.

This makes sense, so far so good.

However, in the database, the hostgroup had no location set.

When I edited the IBM_A host and unset the hostgroup, the hostgroup's location got unlocked and unset. It was not "Default

Location" anymore.

Is this correct? How is it possible, that the hostgroup didn't have a location set in the DB while showing something completely

different to the user in UI?

We run into this problem during CFME/Sat6 integration testing. We cannot provision into a hostgroup with no location but at the

same time it all looks fine in the UI which makes it that much worse...a

Version-Release number of selected component (if applicable):

6.0.8

How reproducible:

-

Steps to Reproduce:

-

Actual results:

Discrepancy between UI and DB info.

Expected results:

Both UI and DB should give us the same data.

Additional info:

-

History

#1 - 12/27/2016 06:59 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Daniel Lobato Garcia

- Pull request https://github.com/theforeman/foreman/pull/4136 added

#2 - 06/27/2018 01:11 PM - Ohad Levy

05/09/2024 1/2

https://bugzilla.redhat.com/show_bug.cgi?id=1228365


- Status changed from Ready For Testing to New

- Triaged set to No

- Pull request deleted (https://github.com/theforeman/foreman/pull/4136)
